<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "Obra".
 *
 * @property string $id
 * @property string $nombre
 * @property string $fechaInicio
 * @property string $fechaFinal
 * @property string|null $descripcion
 * @property string|null $creado
 * @property string|null $modificado
 * @property string|null $eliminado
 */
class Obra extends ModeloBase
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'Obra';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['id', 'nombre', 'fechaInicio','fechaFinal'], 'required'],
            [['fechaInicio','fechaFinal','creado', 'modificado', 'eliminado'], 'safe'],
            [['id'], 'string', 'max' => 36],
            [['nombre', 'descripcion'], 'string', 'max' => 100],
            [['id'], 'unique'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'nombre' => 'Nombre',
            'fechaInicio' => 'Fecha Inicio',
            'fechaFinal' => 'Fecha Final',
            'descripcion' => 'Descripcion',
            'creado' => 'Creado',
            'modificado' => 'Modificado',
            'eliminado' => 'Eliminado',
        ];
    }
}
