<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "Vehiculo".
 *
 * @property string $id
 * @property string|null $nombre
 * @property int|null $ano
 * @property string|null $idColor
 * @property string|null $placa
 * @property string|null $serie
 * @property string|null $creado
 * @property string|null $idMarca
 * @property string|null $idTipo
 * @property string|null $descripcion
 * @property string|null $modificado
 * @property string|null $eliminado
 *  @property Marca $idMarca
 * @property Color $idColor
 * @property TipoAuto $idTipo
 */
class Vehiculo extends ModeloBase
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'Vehiculo';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['id'], 'required'],
            [['ano'], 'default', 'value' => null],
            [['ano'], 'integer'],
            [['creado', 'modificado', 'eliminado'], 'safe'],
            [['id','idMarca','idColor','idTipo'], 'string', 'max' => 36],
            [['nombre',  'placa', 'serie','descripcion'], 'string', 'max' => 100],
            [['id'], 'unique'],
            [['idMarca'], 'exist', 'skipOnError' => true, 'targetClass' => Marca::class, 'targetAttribute' => ['idMarca' => 'id']],
            [['idColor'], 'exist', 'skipOnError' => true, 'targetClass' => Color::class, 'targetAttribute' => ['idColor' => 'id']],
            [['idTipo'], 'exist', 'skipOnError' => true, 'targetClass' => TipoAuto::class, 'targetAttribute' => ['idTipo' => 'id']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'nombre' => 'Nombre',
            'ano' => 'Ano',
            'idColor' => 'ID Color',
            'placa' => 'Placa',
            'serie' => 'Serie',
            'creado' => 'Creado',
            'idTipo' => 'ID Tipo',
            'idMarca' => 'ID Marca',
            'descripcion' => 'Descripcion',
            'modificado' => 'Modificado',
            'eliminado' => 'Eliminado',
        ];
    }
}
